# IvyExtraInfoSpec

interface IvyExtraInfoSpec : IvyExtraInfo

Represents a modifiable form of IvyExtraInfo so that "extra" info elements can be configured on an Ivy publication.

## Functions

add
Link copied to clipboard
abstract fun add(namespace: String, name: String, value: String)
Puts the specified extra element into the list of extra info elements.
asMap
Link copied to clipboard
abstract fun asMap(): Map<QName, String>
get
Link copied to clipboard
abstract fun get(name: String): @Nullable String